Ошибка зависимости при установке rpm пакета

Discussion in 'Безопасность и Анонимность' started by Ershik, 26 Jul 2008.

  1. Ershik

    Ershik Elder - Старейшина

    Joined:
    7 Nov 2007
    Messages:
    301
    Likes Received:
    46
    Reputations:
    6
    При установке пакета rpm:
    rpm -i mplayer-1.0-0.90.rc2.lvn8.x86_64.rpm

    Происходит следующее:

    warning: mplayer-1.0-0.90.rc2.lvn8.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    libSDL-1.2.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libXv.so.1()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libXvMC.so.1()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libXvMCW.so.1()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libXxf86dga.so.1()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libaa.so.1()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libcaca.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libcdda_interface.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libcdda_paranoia.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libcucul.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libdca.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libdv.so.4()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libdvdnavmini.so.4()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libdvdread.so.3()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libenca.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libfaad.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libfribidi.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libgif.so.4()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    liblirc_client.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    liblzo2.so.2()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libmpcdec.so.5()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libogg.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libpulse.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libpulse.so.0(PULSE_0)(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libspeex.so.1()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libtheora.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libtheora.so.0(libtheora.so.1.0)(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libungif.so.4()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libvorbis.so.0()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64
    libxvidcore.so.4()(64bit) is needed by mplayer-1.0-0.90.rc2.lvn8.x86_64

    Тоже самое при установке FFMpeg...
    Пакет не битый, взятый с официального сайта.
     
  2. MacTep

    MacTep Elder - Старейшина

    Joined:
    29 May 2006
    Messages:
    317
    Likes Received:
    160
    Reputations:
    35
    Ну, так тебе все уже написали: не хватает тьмы библиотек. Качай, ставь.
    P.s. Что за Nix? Может проще из репов стянуть, там и все зависимости потянутся следом..
     
  3. fura13

    fura13 New Member

    Joined:
    30 Jun 2008
    Messages:
    4
    Likes Received:
    0
    Reputations:
    0
    cat /ets/issue что пишет?

    если федора\CentOs то ставь

    yum install mplayer ffmpeg

    если suse то

    yast -i mplayer ffmpeg
     
  4. Ershik

    Ershik Elder - Старейшина

    Joined:
    7 Nov 2007
    Messages:
    301
    Likes Received:
    46
    Reputations:
    6
    [root@]# cat /etc/issue
    Fedora release 8 (Werewolf)
    Kernel \r on an \m


    [root@]# yum install mplayer ffmpeg
    updates 100% |=========================| 2.3 kB 00:00
    primary.sqlite.bz2 100% |=========================| 4.0 MB 00:00
    fedora 100% |=========================| 2.1 kB 00:00
    livna 100% |=========================| 2.1 kB 00:00
    primary.sqlite.bz2 100% |=========================| 281 kB 00:00
    Traceback (most recent call last):
    File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
    File "/usr/share/yum-cli/yummain.py", line 105, in main
    result, resultmsgs = base.doCommands()
    File "/usr/share/yum-cli/cli.py", line 287, in doCommands
    Terminated

    Что он сделал?
    Установил?
    Папка /usr/bin/ffmpeg отсутствует.
     
    #4 Ershik, 26 Jul 2008
    Last edited: 26 Jul 2008
  5. fura13

    fura13 New Member

    Joined:
    30 Jun 2008
    Messages:
    4
    Likes Received:
    0
    Reputations:
    0
    хз у тя какаято беда с yum'ом

    как то наталкивался на вроде похожее помогало (не факт что поможет)

    Code:
    rm -f /var/lib/rpm/__db*
    rpm --rebuilddb
    
    или еще если не под рутом пускаешь, но у тя вроде root
     
  6. Ershik

    Ershik Elder - Старейшина

    Joined:
    7 Nov 2007
    Messages:
    301
    Likes Received:
    46
    Reputations:
    6
    Я так и сделал.
    Сейчас:
    Если система жалуется на библиотеки - я их поставил..но их слишком много. Есть отдельный пакет со множество библиотек? Чтобы не выкачивать по одному, а поставить сразу все?
     
Loading...